Rewriting for use for uploading video torrents to sugoimusic
## Overview
**SM-AU-TV** is a tool for automating the uploading process on sugoimusic.me.  

**Installation:**
- Install requirements
```
pip install -r requirements.txt
```

## Command Usage
```
python upload.py {command_name}
```
Use the copycommand.txt file to easily copy and paste your command.

Command  | Description 
------------- | -------------
-h, --help | show help message and exit
-i [INPUT], --input [INPUT] | Initiate upload on input file. This must be added as an argument.
-d, --debug | Enable debug mode.
-dry, --dryrun | Dryrun will carry out all actions other than the actual upload to SM.
-a [ARTISTS], --artists [ARTISTS] | Set the artists. (Romaji\English). Split multiple with ","
-oa [ORIGINALARTIST], --originalartist [ORIGINALARTIST] | Set the artist. (Original Language)
-ca [CONTRIBUTINGARTISTS], --contributingartists [CONTRIBUTINGARTISTS] | Set the contributing artists. (Romaji\English). Split multiple with ","
-ti [TITLE], --title [TITLE] | Set the title. (Romaji\English)
-oti [ORIGINALTITLE], --originaltitle [ORIGINALTITLE] | Set the title. (Original Language)
-des [DESCRIPTION], --description [DESCRIPTION] | Add a torrent description. This must be added as an argument.
-t [TAGS], --tags [TAGS] | Add additional tags to the upload. At least 2 tags are required
-im [IMAGEURL], --imageURL [IMAGEURL] | Set the torrent cover URL.
-ms [MEDIASOURCE], --mediasource [MEDIASOURCE] | Set the media source.
-rt [RELEASETYPE], --releasetype [RELEASETYPE] | Set the release type.
-s [SUB], --sub [SUB] | Set the subtitle type.
-l [LANGUAGE], --language [LANGUAGE] | Set the language
-y [YEAR], --year [YEAR] | Set the torrent year (YYYYMMDD or YYYY).
-eti [EDITIONTITLE], --editiontitle [EDITIONTITLE] | Set the edition title.
-ey [EDITIONYEAR], --year [EDITIONYEAR] | Set the edition year (YYYYMMDD or YYYY).
-ss [SCREENSHOTURLS], --screenshots [SCREENSHOTURLS] | Set the screenshot URLs. Split multiple with ","
-f, --freeleech | Enables freeleech.

## Config.json  

- It's not recommended to use both local watch/download folders and ftp watch/download folders at the same time as it will result in seeding from 2 locations.

**credentials:**

Config  | Description  | Example
------------- | ------------- | -------------
Username | SugoiMusic Username | Slyy
Password  | SugoiMusic Password | Password
Passkey  | SugoiMusic Passkey | Passkey

**local_prefs**  

Config  | Description  | Example
------------- | ------------- | -------------
log_directory | directory containing BugsPy log files  | `Z:/Bugs/Logs`
generate_tracklist | enable tracklist generation  | `true/false`
save_tracklist | write tracklist to .log and save in log folder  | `true/false`
enable_release_description | post comments tag to release description  | `true/false`
cover_name | name of cover with extension | `cover.jpg`
add_to_watch_folder | moves .torrent file to local watch folder | `true/false`  
add_to_downloads_folder | moves torrent data to local downloads folder | `true/false`  
local_watch_folder | directory of local watch folder | `Z:/watch/Transmission`
local_downloads_folder | directory of local downloads folder | `Z:/downloads`  


**ftp_prefs:**

Config  | Description  | Example
------------- | ------------- | -------------
enable_ftp  | enable ftp mode, if enabled suggested to disable local watch and downloads folders | `true/false`
add_to_watch_folder | transfer .torrent file to watch folder on FTP server | `true/false`
add_to_downloads_folder | transfer torrent data to downloads folder on FTP server | `true/false`
ftp_server | url of ftp server | bestboxever.seedhost.eu
ftp_username | username of ftp account | slyy
ftp_password | password of ftp account | password
ftp_watch_folder | directory of ftp watch folder | `/downloads/watch/transmission`
ftp_downloads_folder | directory of ftp downloads folder | `/downloads`

